Bug 1003301 - Review Request: glite-lb-ws-interface - gLite Logging and Bookkeeping web service interface
Review Request: glite-lb-ws-interface - gLite Logging and Bookkeeping web ser...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-01 17:22 EDT by František Dvořák
Modified: 2015-07-08 13:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: glite-lb-ws-interface-4.0.7-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:26:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description František Dvořák 2013-09-01 17:22:20 EDT
Spec URL: http://scientific.zcu.cz/fedora/glite-lb-ws-interface-4.0.6-1/glite-lb-ws-interface.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-lb-ws-interface-4.0.6-1/glite-lb-ws-interface-4.0.6-1.fc21.src.rpm
Description: glite-lb-ws-interface contains the L&B web service interface specification (LB.wsdl and LBTypes.wsdl)
Fedora Account System Username: valtri

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5880182
Comment 2 Christopher Meng 2013-11-23 10:08:18 EST
Issues:
=======
- Header files in -devel subpackage, if present.
  Note: glite-lb-ws-interface : /usr/include/glite/lb/ws_interface_version.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

------------>>>>

I'm not familiar with glite itself, can you tell me the reason?

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in /home/rpmaker/Desktop/glite-lb-ws-
     interface/licensecheck.txt
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/include/glite/lb(glite-lb-
     types), /usr/include/glite(glite-lbjp-common-gss-devel, glite-jobid-
     api-c-devel, glite-lbjp-common-trio-devel, glite-lbjp-common-log-devel,
     glite-lbjp-common-db-devel, glite-lb-types, glite-px-proxyrenewal-devel)

------------>>>>
Please fix.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[?]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Sources can be downloaded from URI in Source: tag
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: glite-lb-ws-interface-4.0.7-1.fc21.noarch.rpm
          glite-lb-ws-interface-4.0.7-1.fc21.src.rpm
glite-lb-ws-interface.noarch: W: summary-not-capitalized C gLite Logging and Bookkeeping web service interface
glite-lb-ws-interface.noarch: W: devel-file-in-non-devel-package /usr/include/glite/lb/ws_interface_version.h
glite-lb-ws-interface.src: W: summary-not-capitalized C gLite Logging and Bookkeeping web service interface
glite-lb-ws-interface.src: W: spelling-error %description -l en_US wsdl -> LSD
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

------------>>>>

Except for devel-file-in-non-devel-package, others are ignorable.


Rpmlint (installed packages)
----------------------------
# rpmlint glite-lb-ws-interface
glite-lb-ws-interface.noarch: W: summary-not-capitalized C gLite Logging and Bookkeeping web service interface
glite-lb-ws-interface.noarch: W: devel-file-in-non-devel-package /usr/include/glite/lb/ws_interface_version.h
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

------------>>>>

Ditto.

Requires
--------
glite-lb-ws-interface (rpmlib, GLIBC filtered):



Provides
--------
glite-lb-ws-interface:
    glite-lb-ws-interface



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn glite-lb-ws-interface-4.0.7-1.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG


------------>>>>

BuildRequires:  libxslt
BuildRequires:  perl

Ah..

1. Why not 

BuildRequires:  libxslt-devel?


2. BuildRequires:  perl

I think when you BR perl(POSIX) or perl(Getopt::Long) or any perl(XXX), perl itself will be introduced automatically, so I think you can drop this line.
Comment 3 František Dvořák 2013-11-23 11:13:44 EST
(In reply to Christopher Meng from comment #2)
> Issues:
> =======
> - Header files in -devel subpackage, if present.
>   Note: glite-lb-ws-interface : /usr/include/glite/lb/ws_interface_version.h
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
> 
> ------------>>>>
> 
> I'm not familiar with glite itself, can you tell me the reason?
> 

Basically, the whole glite-lb-ws-interface package is used as development package: for gLite L&B server and clients, so we haven't created -devel subpackage for the header.

Most important are the WSDL files (Web Service interface) for generating stub in C and Java languages.

The header file contains information about interface version for C programs compiled with glite-lb-ws-interface.

> [!]: Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by: /usr/include/glite/lb(glite-lb-
>      types), /usr/include/glite(glite-lbjp-common-gss-devel, glite-jobid-
>      api-c-devel, glite-lbjp-common-trio-devel, glite-lbjp-common-log-devel,
>      glite-lbjp-common-db-devel, glite-lb-types, glite-px-proxyrenewal-devel)
> 
> ------------>>>>
> Please fix.
> 

There is problem the glite-lb-ws-interface package doesn't depend on the other packages, so the directory ownership is still needed, like in this case: http://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

> 
> ------------>>>>
> 
> BuildRequires:  libxslt
> BuildRequires:  perl
> 
> Ah..
> 
> 1. Why not 
> 
> BuildRequires:  libxslt-devel?
> 

Only the xsltproc utility is needed during the build (for generating WSDLs from XML templates and for generating documentation).

> 
> 2. BuildRequires:  perl
> 
> I think when you BR perl(POSIX) or perl(Getopt::Long) or any perl(XXX), perl
> itself will be introduced automatically, so I think you can drop this line.

The perl itself is called also from the spec file. See also review of glite-lb-types: https://bugzilla.redhat.com/show_bug.cgi?id=892597 .

Thanks for taking the review!
Comment 4 Christopher Meng 2013-11-23 19:30:11 EST
Fine.

PACKAGE APPROVED.
Comment 5 František Dvořák 2013-11-23 19:50:09 EST
New Package SCM Request
=======================
Package Name: glite-lb-ws-interface
Short Description: gLite Logging and Bookkeeping web service interface
Owners: valtri
Branches: f18 f19 f20 el6
InitialCC:
Comment 6 Gwyn Ciesla 2013-11-25 08:16:33 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-11-25 13:55:03 EST
glite-lb-ws-interface-4.0.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/glite-lb-ws-interface-4.0.7-1.fc20
Comment 8 Fedora Update System 2013-11-25 13:56:05 EST
glite-lb-ws-interface-4.0.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glite-lb-ws-interface-4.0.7-1.fc19
Comment 9 Fedora Update System 2013-11-25 13:57:11 EST
glite-lb-ws-interface-4.0.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glite-lb-ws-interface-4.0.7-1.fc18
Comment 10 Fedora Update System 2013-11-25 13:58:32 EST
glite-lb-ws-interface-4.0.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/glite-lb-ws-interface-4.0.7-1.el6
Comment 11 Fedora Update System 2013-11-26 12:56:35 EST
glite-lb-ws-interface-4.0.7-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 12 Fedora Update System 2013-12-08 21:02:26 EST
glite-lb-ws-interface-4.0.7-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Fedora Update System 2013-12-08 21:05:24 EST
glite-lb-ws-interface-4.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Fedora Update System 2013-12-13 22:26:35 EST
glite-lb-ws-interface-4.0.7-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 15 Fedora Update System 2013-12-15 15:24:36 EST
glite-lb-ws-interface-4.0.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 16 Fedora Update System 2015-06-16 14:04:25 EDT
glite-lb-ws-interface-4.0.9-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/glite-lb-ws-interface-4.0.9-1.el7
Comment 17 Fedora Update System 2015-07-08 13:02:19 EDT
glite-lb-ws-interface-4.0.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.